@import '../core/base';
@import '../modules/button-group';

.list {
  @include grid(0);
  &__item {
    padding: 1rem;
    border-left: .1rem solid #eee;
    @include tablet-md {
      background-color: #fff;
      box-shadow: 0 0 .2rem 0 rgba(0,0,0, .1);
      padding: 1rem .5rem;
      margin: .5rem .5rem 1.5rem;
      border: 0;
    }
    &:first-child {
      border-left: 0;
    }
  }
  &__header {
    font-family: 'Fjalla One', sans-serif;
    padding-bottom: 2.5rem;
    text-align: center;
  }
}

.todo-list {
  position: relative;
  &__wrap {
    max-height: 27rem;
    overflow: auto;
  }
  &__wrap + &__item:hover {
    padding-right: 0;
  }
  &__item {
    @include transition();
    border-top: 1px solid #eee;
    position: relative;
    &_add {
      border-bottom: 1px solid #eee;
      font-style: italic;
      font-weight: 600;
      padding: 0;
      // material style
      & span > div {
        // opacity: 0;
        width: 100%;
      }
      // & button {
      //   cursor: text !important;
      // }
      // end
    }
    &:nth-child(odd) {
      background-color: #fffdfd;
    }
    &:hover {
      background-color: #f7f7f7;
      padding-right: 5rem;
    }
  }
  &__item_new &__title {
    color: $color-black;
  }
  &__item_progress &__title {
    color: $color-blue;
  }
  &__item_done &__title {
    color: $color-red;
    text-decoration: line-through;
  }

  &__title {
    color: #444;
    display: block;
    font-weight: 500;
    padding: 1.25rem 1rem;
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
    width: 100%;
  }
  &__text {
    color: #444;
  }
  &__actions {
    @include transition();
    @include flex(center, center);
    margin-top: -1.4rem;
    opacity: 0;
    position: absolute;
    right: 0;
    top: 50%;
    z-index: -1;
    // updated material styles
    & button {
      padding: 0 !important;
      margin: 0 !important;
      height: 2.8rem !important;
      width: 2.8rem !important;
    }
    // end 
  }
  &__item:hover &__actions {
    opacity: 1;
    z-index: 1;
  }
}